## sahara-plugin-spark 3.0.0~rc1

=== debian/changelog ===
sahara-plugin-spark (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 14:34:55 +0200

sahara-plugin-spark (3.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 17:18:39 +0200

sahara-plugin-spark (2.0.0~rc2-1) experimental; urgency=medium

  * Initial release. (Closes: #942383)

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2019 15:35:06 +0200

## sahara-plugin-spark 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
sahara>=10.0.0.0b1
six>=1.10.0 # MIT

## sahara-plugin-spark 3.0.0

=== debian/changelog ===
sahara-plugin-spark (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:23:43 +0200

=== debian/control ===
Source: sahara-plugin-spark
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openssh-client,
 python3-babel,
 python3-bandit,
 python3-bashate,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-sahara (>= 10.0.0),
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark.git
Homepage: https://opendev.org/openstack/sahara-plugin-spark

Package: python3-sahara-plugin-spark
Architecture: all
Depends:
 openssh-client,
 python3-babel,
 python3-eventlet,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-sahara (>= 10.0.0),
 python3-six,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Spark plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the Spark plugin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/sahara-plugin-spark/tags .*/(\d[\d\.]+)\.tar\.gz

## sahara-plugin-spark 4.0.0~b1~git2020070716.a5fe7ca

=== debian/changelog ===
sahara-plugin-spark (4.0.0~b1~git2020070716.a5fe7ca-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from tarballs.opendev.org.
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Jul 2020 16:20:21 -0400

=== debian/control ===
Source: sahara-plugin-spark
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-sahara (>= 1:10.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-plugin-spark
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara-plugin-spark
Homepage: https://opendev.org/openstack/sahara-plugin-spark

Package: python3-sahara-plugin-spark
Architecture: all
Depends:
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-eventlet (>= 0.18.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-sahara (>= 1:10.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Spark plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the Spark plugin

## sahara-plugin-spark 4.0.0~b3~git2020091409.0300afc

=== debian/changelog ===
sahara-plugin-spark (4.0.0~b3~git2020091409.0300afc-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 09:23:18 +0000

## sahara-plugin-spark 4.0.0~rc1

=== debian/changelog ===
sahara-plugin-spark (4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:18:06 -0400

## sahara-plugin-spark 4.0.0

=== debian/changelog ===
sahara-plugin-spark (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:31:35 +0200

sahara-plugin-spark (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:28:45 +0200

=== debian/control ===
Source: sahara-plugin-spark
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openssh-client,
 python3-babel,
 python3-bandit,
 python3-bashate,
 python3-coverage,
 python3-eventlet (>= 0.26.0),
 python3-fixtures,
 python3-hacking,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-sahara (>= 10.0.0),
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark.git
Homepage: https://opendev.org/openstack/sahara-plugin-spark

Package: python3-sahara-plugin-spark
Architecture: all
Depends:
 openssh-client,
 python3-babel,
 python3-eventlet (>= 0.26.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-sahara (>= 10.0.0),
 python3-six,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Spark plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the Spark plugin

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/sahara-plugin-spark.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/sahara-plugin-spark/tags .*/(\d[brc\d\.]+)\.tar\.gz

## sahara-plugin-spark 4.0.0+git2021012713.31fc4cb

=== debian/changelog ===
sahara-plugin-spark (4.0.0+git2021012713.31fc4cb-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:33:52 +0000

sahara-plugin-spark (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:51:27 -0400

## sahara-plugin-spark 5.0.0~rc1

=== debian/changelog ===
sahara-plugin-spark (5.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 5.x series
  * New upstream release candidate for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 24 Mar 2021 14:37:03 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-plugin-spark/ sahara-plugin-spark-(5\.\d.*)\.tar\.gz

## sahara-plugin-spark 5.0.0

=== debian/changelog ===
sahara-plugin-spark (5.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 18:22:25 +0000

sahara-plugin-spark (5.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:50:18 +0000

## sahara-plugin-spark 5.0.0+git2021061405.53aee26

=== debian/changelog ===
sahara-plugin-spark (5.0.0+git2021061405.53aee26-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:45 +0000

## sahara-plugin-spark 6.0.0

=== debian/changelog ===
sahara-plugin-spark (6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 12:45:46 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-plugin-spark/ sahara-plugin-spark-(6\.\d.*)\.tar\.gz

## sahara-plugin-spark 6.0.0+git2021120910.4999d4c

=== debian/changelog ===
sahara-plugin-spark (6.0.0+git2021120910.4999d4c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:31:11 -0500

## sahara-plugin-spark 7.0.0

=== debian/changelog ===
sahara-plugin-spark (7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:15:11 -0400

=== debian/control ===
Source: sahara-plugin-spark
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-mock,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-sahara (>= 1:10.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-plugin-spark
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-plugin-spark
Homepage: https://opendev.org/openstack/sahara-plugin-spark

Package: python3-sahara-plugin-spark
Architecture: all
Depends:
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-eventlet (>= 0.26.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-sahara (>= 1:10.0.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Spark plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the Spark plugin

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=sahara_plugin_spark
 
 UPSTREAM_GIT := https://opendev.org/openstack/sahara-plugin-spark.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr

## sahara-plugin-spark 7.0.0+git2022060610.4999d4c

=== debian/changelog ===
sahara-plugin-spark (7.0.0+git2022060610.4999d4c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:37:27 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -38,8 +38,7 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.4.0),
  subunit,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-plugin-spark
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/sahara-plugin-spark
 Homepage: https://opendev.org/openstack/sahara-plugin-spark

## sahara-plugin-spark 7.0.0+git2022071416.4999d4c

=== debian/changelog ===
sahara-plugin-spark (7.0.0+git2022071416.4999d4c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 16:39:07 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/sahara-plugin-spark/ sahara-plugin-spark-(7\.\d.*)\.tar\.gz

## sahara-plugin-spark 8.0.0

=== debian/changelog ===
sahara-plugin-spark (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:50:57 +0200

sahara-plugin-spark (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 09:43:08 +0200

sahara-plugin-spark (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:26:16 +0200

sahara-plugin-spark (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2022 09:21:13 +0200

sahara-plugin-spark (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 21:02:54 +0100

sahara-plugin-spark (6.0.0-2) unstable; urgency=medium

  * Fixed missing python3-sahara (b-)d epoch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Oct 2021 09:18:40 +0200

sahara-plugin-spark (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * (build-)depends on python3-sahara >= 15.0.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:46:42 +0200

sahara-plugin-spark (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:57:54 +0200

sahara-plugin-spark (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:53:41 +0200

sahara-plugin-spark (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 18:06:03 +0200

sahara-plugin-spark (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when statisfied in Bullseye.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:30:19 +0100

=== debian/control ===
Source: sahara-plugin-spark
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openssh-client,
 python3-babel,
 python3-bandit,
 python3-bashate,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-requests,
 python3-sahara (>= 1:15.0.0),
 python3-six,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara-plugin-spark.git
Homepage: https://opendev.org/openstack/sahara-plugin-spark

Package: python3-sahara-plugin-spark
Architecture: all
Depends:
 openssh-client,
 python3-babel,
 python3-eventlet,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-sahara (>= 1:15.0.0),
 python3-six,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Spark plugin
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package provides the Spark plugin

## sahara-plugin-spark 8.0.0+git2023011011.c68cb5e9

=== debian/changelog ===
sahara-plugin-spark (8.0.0+git2023011011.c68cb5e9-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:08:27 -0500

sahara-plugin-spark (8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:59:58 -0400

## sahara-plugin-spark 9.0.0~rc1+git2023030309.c68cb5e9

=== debian/changelog ===
sahara-plugin-spark (9.0.0~rc1+git2023030309.c68cb5e9-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:49:39 -0500

## sahara-plugin-spark 9.0.0

=== debian/changelog ===
sahara-plugin-spark (9.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 00:36:46 +0000

sahara-plugin-spark (9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:22:31 -0400

## sahara-plugin-spark 10.0.0

=== debian/changelog ===
sahara-plugin-spark (10.0.0-2) unstable; urgency=medium

  * Add do-not-use-assertDictContainsSubset.patch (Closes: #1058544).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 10:25:04 +0100

sahara-plugin-spark (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 14:06:32 +0200

sahara-plugin-spark (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 12:49:24 +0200

sahara-plugin-spark (9.0.0-3) unstable; urgency=medium

  * Add extend-diff-ignore (Closes: #1045913).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 11:41:25 +0200

sahara-plugin-spark (9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:05:17 +0200

sahara-plugin-spark (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:52:33 +0100

sahara-plugin-spark (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed version of python3-sahara (build-)depends, statisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-requests,
- python3-sahara (>= 1:15.0.0),
+ python3-sahara,
  python3-six,
  python3-stestr,
  python3-testscenarios,
@@ -50,7 +50,7 @@
  python3-oslo.utils,
  python3-pbr,
  python3-requests,
- python3-sahara (>= 1:15.0.0),
+ python3-sahara,
  python3-six,
  ${misc:Depends},
  ${ostack-lsb-base},

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,13 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=sahara_plugin_spark
 
 UPSTREAM_GIT := https://opendev.org/openstack/sahara-plugin-spark.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
